/* Colors
#2377A4
#50A3C6
#79C0D7
#F8F8F8
#DDDFDF
 */


/* CSS Resets */
h1, h2, h3, h4, p, nav ul {
    padding: 0;
    margin: 0;
}
nav ul {
    list-style-type: none;
}
img { max-width: 100%; display: block; }
* { box-sizing: border-box;}

/* end Resets */
*{
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    color: #333;
}
nav {
    border-top: 2px solid #333;
}
nav ul li a {
    text-decoration: none;
    display: block;
    color:#2377A4;
    font-weight: bold;
    border-bottom: 2px solid #333;
    text-align: center;
    padding: 10px;

}

header, footer {
    background-color: #DDDFDF;
}

header, section, footer {
    padding: 40px;
}

section:nth-child(even){
    background-color: #9dd3e7;
}

.container {
    max-width: 1000px;
}

h1{
    margin-bottom: .5em;
}

h2, h3{
    margin-bottom:1em;
}

p {
    line-height: 1.6em;
    margin-bottom: 1em;
}

ol li, ul li{
    margin-bottom: 1em;
    line-height:1.5em;
}

ol{
    margin:50px 0;
}

img {
    margin-bottom: 20px;
}

.mockup{
    position:relative;
    display:flex;
    align-content: center;
    justify-content: center;
    height:100%;
    width:75%;
    padding-bottom:50px;
}

.animation{
    width:90%;
    padding:14% 0;
}

.overlay{
    position:absolute;
    top:0;
    left:0;
    width:100%;
}

.imgLink{
    position:relative;
    left:0px;
    top:0px;
    border:1px solid black;
    transition: all 500ms ease;
}
.imgLink:hover{
    position:relative;
    left:-10px;
    top:-10px;
    border:1px solid #2377A4;
    box-shadow:10px 10px #2377A4;
}

@media only screen and (min-width: 768px) {
    nav ul { display: flex; }
    nav ul li { flex: 1; }
}

@media only screen and (min-width: 1000px) {
    .container{ margin: auto; }
    nav ul {
        max-width: 1000px;
        margin: auto;
    }
    .content { 
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
    }
}